Crazy Eddies GUI System: CEGUI::PropertySet Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::PropertySet Class Reference

Class that contains a collection of Property objects. More...

Inheritance diagram for CEGUI::PropertySet:

[legend]
Collaboration diagram for CEGUI::PropertySet:

[legend]
List of all members.

## Public Types
typedef ConstBaseIterator< PropertyRegistry > | PropertyIterator
## Public Member Functions
| PropertySet (void)
| Constructs a new PropertySet object.
virtual | ~PropertySet (void)
| Destructor for PropertySet objects.
void | addProperty (Property *property)
| Adds a new Property to the PropertySet.
void | removeProperty (const String &name)
| Removes a Property from the PropertySet.
void | clearProperties (void)
| Removes all Property objects from the PropertySet.
bool | isPropertyPresent (const String &name) const
| Checks to see if a Property with the given name is in the PropertySet.
const String & | getPropertyHelp (const String &name) const
| Return the help text for the specified Property.
String | getProperty (const String &name) const
| Gets the current value of the specified Property.
void | setProperty (const String &name, const String &value)
| Sets the current value of a Property.
bool | isPropertyDefault (const String &name) const
| Returns whether a Property is at it's default value.
String | getPropertyDefault (const String &name) const
| Returns the default value of a Property as a String.
PropertyIterator | getIterator (void) const
| Return a PropertySet::PropertyIterator object to iterate over the available Properties.

## Detailed Description

Class that contains a collection of Property objects.

## Member Function Documentation

void CEGUI::PropertySet::addProperty | ( | Property * | property | ) |

  | Adds a new Property to the PropertySet. Parameters:
  | property | Pointer to the Property object to be added to the PropertySet.
  Returns: Nothing. Exceptions:
  | NullObjectException | Thrown if property is NULL.
  | AlreadyExistsException | Thrown if a Property with the same name as property already exists in the PropertySet

void CEGUI::PropertySet::clearProperties | ( | void |  | ) |

| Removes all Property objects from the PropertySet. Returns: Nothing.

String CEGUI::PropertySet::getProperty | ( | const String & | name | ) | const

  | Gets the current value of the specified Property. Parameters:
  | name | String containing the name of the Property who's value is to be returned.
  Returns: String object containing a textual representation of the requested Property. Exceptions:
  | UnknownObjectException | Thrown if no Property named name is in the PropertySet.

String CEGUI::PropertySet::getPropertyDefault | ( | const String & | name | ) | const

  | Returns the default value of a Property as a String. Parameters:
  | name | String containing the name of the Property who's default string is to be returned.
Returns: String object containing a textual representation of the default value for this property.

const String & CEGUI::PropertySet::getPropertyHelp | ( | const String & | name | ) | const

  | Return the help text for the specified Property. Parameters:
  | name | String holding the name of the Property who's help text is to be returned.
  Returns: String object containing the help text for the Property name. Exceptions:
  | UnknownObjectException | Thrown if no Property named name is in the PropertySet.

bool CEGUI::PropertySet::isPropertyDefault | ( | const String & | name | ) | const

  | Returns whether a Property is at it's default value. Parameters:
  | name | String containing the name of the Property who's default state is to be tested.
Returns: true if the property has it's default value. false if the property has been modified from it's default value.

bool CEGUI::PropertySet::isPropertyPresent | ( | const String & | name | ) | const

  | Checks to see if a Property with the given name is in the PropertySet. Parameters:
  | name | String containing the name of the Property to check for.
Returns: true if a Property named name is in the PropertySet. false if no Property named name is in the PropertySet.

void CEGUI::PropertySet::removeProperty | ( | const String & | name | ) |

  | Removes a Property from the PropertySet. Parameters:
  | name | String containing the name of the Property to be removed. If Property name is not in the set, nothing happens.
Returns: Nothing.

void CEGUI::PropertySet::setProperty | ( | const String & | name,
|  | const String & | value
| ) |

  | Sets the current value of a Property. Parameters:
  | name | String containing the name of the Property who's value is to be set.
  | value | String containing a textual representation of the new value for the Property
  Returns: Nothing Exceptions:
  | UnknownObjectException | Thrown if no Property named name is in the PropertySet.
  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.